Subject: Re: [PATCH v3] Support ent:relative_path

From: Martin Waitz <[email-masked]>
Date: Sun, 6 May 2007 20:52:59 +0200

hoi :)

On Sun, May 06, 2007 at 02:59:55AM +0200, Johannes Schindelin wrote:
> > On Sat, May 05, 2007 at 01:17:35PM -0700, Junio C Hamano wrote:
> > > > we could also introduce "<tree-ish>/<path>" for absolute path entries.
> > > 
> > > When you name the tree-ish with usual "branch name", where does
> > > the branch name end and pathname start?  What happens when there
> > > is an ambiguity, and how costly to detect such an ambiguity to
> > > begin with?
> > 
> > well, if you know that it starts with a tree-ish there is no
> > ambiguity [...]
> 
> Wrong. For example, mw/submodules~10 _is_ a tree-ish (if you have a branch 
> named "mw/submodules").

so what?

a better argument is that one can have both refs/tags/a and
refs/heads/a/b.

So just forget my suggestion...

-- 
Martin Waitz